1. dubbsix's Avatar
    I have a z30 running 10.3.x leak and I have noticed that a few of the android apps like Facebook are now showing a message that they no longer this version of android. This error and the ever-present "This app requires google play services", I am wondering if the application market is again leaving us behind.

    Are there any plans to update the runtime on future versions? I would think that they would have to do something soon as app designers leverage the new SDK's for android.
    02-02-15 08:35 AM
  2. lockedtight's Avatar
    Didn't they just update the runtime for version 10.3? I'm still on 10.2.1 and was hoping for an update next time around.

    Posted via CB10
    02-02-15 08:43 AM
  3. ubizmo's Avatar
    I have a z30 running 10.3.x leak and I have noticed that a few of the android apps like Facebook are now showing a message that they no longer this version of android. This error and the ever-present "This app requires google play services", I am wondering if the application market is again leaving us behind.
    See http://forums.crackberry.com/blackbe...atible-994326/ for discussion of the error message. As for Google Play Services, that's not going to change unless BlackBerry builds an actual Android phone, which doesn't seem to be in the roadmap.
    02-02-15 08:47 AM
  4. pttptppt's Avatar
    from what i heard, the new android os was coded differently or something like that so blackberry would have to comepletely rewrite the android runtime. i dont think that'll happen for a while
    02-02-15 08:49 AM
  5. dubbsix's Avatar
    I am not a huge facebook user and honestly, the runtime on the leak isnt that fast so I end up using the blackberry facebook app instead, but I am wondering if this is a trend that will make it harder for BB to compete on the application level. For me, having the ART on the BB was huge buying factor for me and its eased the app pain a little.
    02-02-15 08:56 AM
  6. anon1727506's Avatar
    I have a z30 running 10.3.x leak and I have noticed that a few of the android apps like Facebook are now showing a message that they no longer this version of android. This error and the ever-present "This app requires google play services", I am wondering if the application market is again leaving us behind.

    Are there any plans to update the runtime on future versions? I would think that they would have to do something soon as app designers leverage the new SDK's for android.
    Those are two different issues.

    Yes eventually we will get left out in the cold.... or at least with only the Amazon Market and older versions of apps that don't use the Google Play Services.

    Even once BlackBerry updates the runtime, they can't include Google Services Validation - as that isn't part of the "open" version that Google gives out.

    You might want to take a look http://forums.crackberry.com/android...oading-985344/ This currently lets us look like an real Android Devcie..... for now.
    dubbsix likes this.
    02-02-15 08:56 AM
  7. gariac's Avatar
    I use this program to download apk files toy desktop.

    http://forums.crackberry.com/bb10-an...endent-958244/

    We will never have Google Play services. Well highly unlikely. ;-)

    Otherwise unless I am missing something, we can run apk files in the future, just as long as they don't use Google services. Even then, there are hacks supposedly to add Google Play services, but I rather keep phone Google free.


    Posted via CB10
    02-07-15 08:27 PM

Similar Threads

  1. Replies: 2
    Last Post: 02-03-15, 03:31 AM
  2. Replies: 1
    Last Post: 02-02-15, 08:50 AM
  3. Replies: 2
    Last Post: 02-02-15, 08:43 AM
  4. Is it possible to link my BlackBerry Playbook to WD Mycloud?
    By CrackBerry Question in forum Ask a Question
    Replies: 2
    Last Post: 02-02-15, 08:40 AM
  5. Replies: 1
    Last Post: 02-02-15, 08:23 AM
LINK TO POST COPIED TO CLIPBOARD